<?php



$tdatatb_ficha_tecnica = array();
$tdatatb_ficha_tecnica[".searchableFields"] = array();
$tdatatb_ficha_tecnica[".ShortName"] = "tb_ficha_tecnica";
$tdatatb_ficha_tecnica[".OwnerID"] = "";
$tdatatb_ficha_tecnica[".OriginalTable"] = "tb_ficha_tecnica";


$tdatatb_ficha_tecnica[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_ficha_tecnica[".originalPagesByType"] = $tdatatb_ficha_tecnica[".pagesByType"];
$tdatatb_ficha_tecnica[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_ficha_tecnica[".originalPages"] = $tdatatb_ficha_tecnica[".pages"];
$tdatatb_ficha_tecnica[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_ficha_tecnica[".originalDefaultPages"] = $tdatatb_ficha_tecnica[".defaultPages"];

//	field labels
$fieldLabelstb_ficha_tecnica = array();
$fieldToolTipstb_ficha_tecnica = array();
$pageTitlestb_ficha_tecnica = array();
$placeHolderstb_ficha_tecnica = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"] = array();
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"] = array();
	$pageTitlestb_ficha_tecnica["Portuguese(Brazil)"] = array();
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"]["ftecID"] = "Ftec ID";
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]["ftecID"] = "";
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"]["ftecID"] = "";
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"]["pdtoID"] = "Pdto ID";
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]["pdtoID"] = "";
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"]["pdtoID"] = "";
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"]["data_revisao"] = "Data Revisao";
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]["data_revisao"] = "";
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"]["data_revisao"] = "";
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"]["status"] = "";
	$fieldLabelstb_ficha_tecnica["Portuguese(Brazil)"]["arquivos"] = "Arquivos";
	$fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]["arquivos"] = "";
	$placeHolderstb_ficha_tecnica["Portuguese(Brazil)"]["arquivos"] = "";
	if (count($fieldToolTipstb_ficha_tecnica["Portuguese(Brazil)"]))
		$tdatatb_ficha_tecnica[".isUseToolTips"] = true;
}


	$tdatatb_ficha_tecnica[".NCSearch"] = true;


	$tdatatb_ficha_tecnica[".scrollGridBody"] = true;

$tdatatb_ficha_tecnica[".shortTableName"] = "tb_ficha_tecnica";
$tdatatb_ficha_tecnica[".nSecOptions"] = 0;

$tdatatb_ficha_tecnica[".mainTableOwnerID"] = "";
$tdatatb_ficha_tecnica[".entityType"] = 0;

$tdatatb_ficha_tecnica[".strOriginalTableName"] = "tb_ficha_tecnica";

	



$tdatatb_ficha_tecnica[".showAddInPopup"] = false;

$tdatatb_ficha_tecnica[".showEditInPopup"] = false;

$tdatatb_ficha_tecnica[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_ficha_tecnica[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_ficha_tecnica[".listAjax"] = false;
//	temporary
$tdatatb_ficha_tecnica[".listAjax"] = false;

	$tdatatb_ficha_tecnica[".audit"] = false;

	$tdatatb_ficha_tecnica[".locking"] = false;


$pages = $tdatatb_ficha_tecnica[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_ficha_tecnica[".edit"] = true;
	$tdatatb_ficha_tecnica[".afterEditAction"] = 1;
	$tdatatb_ficha_tecnica[".closePopupAfterEdit"] = 1;
	$tdatatb_ficha_tecnica[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_ficha_tecnica[".add"] = true;
$tdatatb_ficha_tecnica[".afterAddAction"] = 1;
$tdatatb_ficha_tecnica[".closePopupAfterAdd"] = 1;
$tdatatb_ficha_tecnica[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_ficha_tecnica[".list"] = true;
}



$tdatatb_ficha_tecnica[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_ficha_tecnica[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_ficha_tecnica[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_ficha_tecnica[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_ficha_tecnica[".printFriendly"] = true;
}



$tdatatb_ficha_tecnica[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_ficha_tecnica[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_ficha_tecnica[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_ficha_tecnica[".isUseAjaxSuggest"] = true;

$tdatatb_ficha_tecnica[".rowHighlite"] = true;





$tdatatb_ficha_tecnica[".ajaxCodeSnippetAdded"] = false;

$tdatatb_ficha_tecnica[".buttonsAdded"] = false;

$tdatatb_ficha_tecnica[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_ficha_tecnica[".isUseTimeForSearch"] = false;


$tdatatb_ficha_tecnica[".badgeColor"] = "bc8f8f";


$tdatatb_ficha_tecnica[".allSearchFields"] = array();
$tdatatb_ficha_tecnica[".filterFields"] = array();
$tdatatb_ficha_tecnica[".requiredSearchFields"] = array();

$tdatatb_ficha_tecnica[".googleLikeFields"] = array();
$tdatatb_ficha_tecnica[".googleLikeFields"][] = "ftecID";
$tdatatb_ficha_tecnica[".googleLikeFields"][] = "pdtoID";
$tdatatb_ficha_tecnica[".googleLikeFields"][] = "data_revisao";
$tdatatb_ficha_tecnica[".googleLikeFields"][] = "status";
$tdatatb_ficha_tecnica[".googleLikeFields"][] = "arquivos";



$tdatatb_ficha_tecnica[".tableType"] = "list";

$tdatatb_ficha_tecnica[".printerPageOrientation"] = 0;
$tdatatb_ficha_tecnica[".nPrinterPageScale"] = 100;

$tdatatb_ficha_tecnica[".nPrinterSplitRecords"] = 40;

$tdatatb_ficha_tecnica[".geocodingEnabled"] = false;










$tdatatb_ficha_tecnica[".pageSize"] = 20;

$tdatatb_ficha_tecnica[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_ficha_tecnica[".strOrderBy"] = $tstrOrderBy;

$tdatatb_ficha_tecnica[".orderindexes"] = array();

$tdatatb_ficha_tecnica[".sqlHead"] = "SELECT ftecID,  	pdtoID,  	data_revisao,  	status,  	arquivos";
$tdatatb_ficha_tecnica[".sqlFrom"] = "FROM tb_ficha_tecnica";
$tdatatb_ficha_tecnica[".sqlWhereExpr"] = "";
$tdatatb_ficha_tecnica[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_ficha_tecnica[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_ficha_tecnica[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_ficha_tecnica[".highlightSearchResults"] = true;

$tableKeystb_ficha_tecnica = array();
$tableKeystb_ficha_tecnica[] = "ftecID";
$tdatatb_ficha_tecnica[".Keys"] = $tableKeystb_ficha_tecnica;


$tdatatb_ficha_tecnica[".hideMobileList"] = array();




//	ftecID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ftecID";
	$fdata["GoodName"] = "ftecID";
	$fdata["ownerTable"] = "tb_ficha_tecnica";
	$fdata["Label"] = GetFieldLabel("tb_ficha_tecnica","ftecID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ftecID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ftecID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ficha_tecnica["ftecID"] = $fdata;
		$tdatatb_ficha_tecnica[".searchableFields"][] = "ftecID";
//	pdtoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pdtoID";
	$fdata["GoodName"] = "pdtoID";
	$fdata["ownerTable"] = "tb_ficha_tecnica";
	$fdata["Label"] = GetFieldLabel("tb_ficha_tecnica","pdtoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pdtoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdtoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ficha_tecnica["pdtoID"] = $fdata;
		$tdatatb_ficha_tecnica[".searchableFields"][] = "pdtoID";
//	data_revisao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "data_revisao";
	$fdata["GoodName"] = "data_revisao";
	$fdata["ownerTable"] = "tb_ficha_tecnica";
	$fdata["Label"] = GetFieldLabel("tb_ficha_tecnica","data_revisao");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_revisao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_revisao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ficha_tecnica["data_revisao"] = $fdata;
		$tdatatb_ficha_tecnica[".searchableFields"][] = "data_revisao";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_ficha_tecnica";
	$fdata["Label"] = GetFieldLabel("tb_ficha_tecnica","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ficha_tecnica["status"] = $fdata;
		$tdatatb_ficha_tecnica[".searchableFields"][] = "status";
//	arquivos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "arquivos";
	$fdata["GoodName"] = "arquivos";
	$fdata["ownerTable"] = "tb_ficha_tecnica";
	$fdata["Label"] = GetFieldLabel("tb_ficha_tecnica","arquivos");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "arquivos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "arquivos";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
				$vdata["ShowThumbnail"] = true;
					$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ficha_tecnica["arquivos"] = $fdata;
		$tdatatb_ficha_tecnica[".searchableFields"][] = "arquivos";


$tables_data["tb_ficha_tecnica"]=&$tdatatb_ficha_tecnica;
$field_labels["tb_ficha_tecnica"] = &$fieldLabelstb_ficha_tecnica;
$fieldToolTips["tb_ficha_tecnica"] = &$fieldToolTipstb_ficha_tecnica;
$placeHolders["tb_ficha_tecnica"] = &$placeHolderstb_ficha_tecnica;
$page_titles["tb_ficha_tecnica"] = &$pageTitlestb_ficha_tecnica;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_ficha_tecnica"] = array();
//	tb_ftec_blocos
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_ftec_blocos";
		$detailsParam["dOriginalTable"] = "tb_ftec_blocos";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_ftec_blocos";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_ftec_blocos");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_ficha_tecnica"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_ficha_tecnica"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_ficha_tecnica"][$dIndex]["masterKeys"][]="ftecID";

	$detailsTablesData["tb_ficha_tecnica"][$dIndex]["masterKeys"][]="pdtoID";

				$detailsTablesData["tb_ficha_tecnica"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_ficha_tecnica"][$dIndex]["detailKeys"][]="ftecnicaID";

		
	$detailsTablesData["tb_ficha_tecnica"][$dIndex]["detailKeys"][]="pdtoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_ficha_tecnica"] = array();



	
				$strOriginalDetailsTable="tb_produtos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_produtos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_produtos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_ficha_tecnica"][0] = $masterParams;
				$masterTablesData["tb_ficha_tecnica"][0]["masterKeys"] = array();
	$masterTablesData["tb_ficha_tecnica"][0]["masterKeys"][]="pdtoiD";
				$masterTablesData["tb_ficha_tecnica"][0]["detailKeys"] = array();
	$masterTablesData["tb_ficha_tecnica"][0]["detailKeys"][]="pdtoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_ficha_tecnica()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ftecID,  	pdtoID,  	data_revisao,  	status,  	arquivos";
$proto0["m_strFrom"] = "FROM tb_ficha_tecnica";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ftecID",
	"m_strTable" => "tb_ficha_tecnica",
	"m_srcTableName" => "tb_ficha_tecnica"
));

$proto6["m_sql"] = "ftecID";
$proto6["m_srcTableName"] = "tb_ficha_tecnica";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pdtoID",
	"m_strTable" => "tb_ficha_tecnica",
	"m_srcTableName" => "tb_ficha_tecnica"
));

$proto8["m_sql"] = "pdtoID";
$proto8["m_srcTableName"] = "tb_ficha_tecnica";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "data_revisao",
	"m_strTable" => "tb_ficha_tecnica",
	"m_srcTableName" => "tb_ficha_tecnica"
));

$proto10["m_sql"] = "data_revisao";
$proto10["m_srcTableName"] = "tb_ficha_tecnica";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_ficha_tecnica",
	"m_srcTableName" => "tb_ficha_tecnica"
));

$proto12["m_sql"] = "status";
$proto12["m_srcTableName"] = "tb_ficha_tecnica";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "arquivos",
	"m_strTable" => "tb_ficha_tecnica",
	"m_srcTableName" => "tb_ficha_tecnica"
));

$proto14["m_sql"] = "arquivos";
$proto14["m_srcTableName"] = "tb_ficha_tecnica";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_ficha_tecnica";
$proto17["m_srcTableName"] = "tb_ficha_tecnica";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "ftecID";
$proto17["m_columns"][] = "pdtoID";
$proto17["m_columns"][] = "data_revisao";
$proto17["m_columns"][] = "status";
$proto17["m_columns"][] = "arquivos";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_ficha_tecnica";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_ficha_tecnica";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_ficha_tecnica";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_ficha_tecnica = createSqlQuery_tb_ficha_tecnica();


	
		;

					

$tdatatb_ficha_tecnica[".sqlquery"] = $queryData_tb_ficha_tecnica;

$tableEvents["tb_ficha_tecnica"] = new eventsBase;
$tdatatb_ficha_tecnica[".hasEvents"] = false;

?>